Blueprints
Update Blueprint
Update blueprint
post
/v1/blueprint/{blueprintId}/update
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
blueprintIdstring* Required
Request Body * Required
Request Body Schema: application/json
aliasstring
The unique alias for the instance
namestring
The associated name
descriptionstring
The associated description
metaobject
Meta data information
contactIdstring
The contact associated with the blueprint
visibilitystring
The blueprint visibility
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
token: process.env.CHATBOTKIT_API_TOKEN!
})
const response = await cbk.blueprint.update(
blueprintId,{)"alias":"string","name":"string","description":"string","meta":"object","contactId":"string",}"visibility":"string"
{"id":"string"}The blueprint was updated successfully